curl --request PUT \
--url https://api-{region}.sesametime.com/core/v3/employees/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"secondLastName": "<string>",
"email": "jsmith@example.com",
"contractId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": 123,
"pin": 123,
"nid": "<string>",
"secondaryNid": "<string>",
"ssn": "<string>",
"phone": "<string>",
"dateOfBirth": "2023-12-25",
"customFields": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "My custom value"
}
],
"nationality": "ES",
"nationalities": [
"ES",
"FR"
],
"maritalStatus": "<string>",
"address": "<string>",
"postalCode": "<string>",
"emergencyPhone": "<string>",
"childrenCount": 123,
"disability": 123,
"personalEmail": "jsmith@example.com",
"description": "<string>",
"city": "<string>",
"province": "<string>",
"country": "ES",
"salaryRange": "<string>",
"studyLevel": "<string>",
"professionalCategoryCode": "<string>",
"professionalCategoryDescription": "<string>",
"bic": "<string>",
"accountNumber": "<string>",
"jobChargeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"jobChargeDescription": "<string>",
"jobChargeCompetencies": "<string>",
"workPhone": "<string>",
"mainRecruiter": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nfc": "<string>",
"contributionGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api-{region}.sesametime.com/core/v3/employees/{id}"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"secondLastName": "<string>",
"email": "jsmith@example.com",
"contractId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": 123,
"pin": 123,
"nid": "<string>",
"secondaryNid": "<string>",
"ssn": "<string>",
"phone": "<string>",
"dateOfBirth": "2023-12-25",
"customFields": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "My custom value"
}
],
"nationality": "ES",
"nationalities": ["ES", "FR"],
"maritalStatus": "<string>",
"address": "<string>",
"postalCode": "<string>",
"emergencyPhone": "<string>",
"childrenCount": 123,
"disability": 123,
"personalEmail": "jsmith@example.com",
"description": "<string>",
"city": "<string>",
"province": "<string>",
"country": "ES",
"salaryRange": "<string>",
"studyLevel": "<string>",
"professionalCategoryCode": "<string>",
"professionalCategoryDescription": "<string>",
"bic": "<string>",
"accountNumber": "<string>",
"jobChargeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"jobChargeDescription": "<string>",
"jobChargeCompetencies": "<string>",
"workPhone": "<string>",
"mainRecruiter": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nfc": "<string>",
"contributionGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
secondLastName: '<string>',
email: 'jsmith@example.com',
contractId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
code: 123,
pin: 123,
nid: '<string>',
secondaryNid: '<string>',
ssn: '<string>',
phone: '<string>',
dateOfBirth: '2023-12-25',
customFields: [{id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', value: 'My custom value'}],
nationality: 'ES',
nationalities: ['ES', 'FR'],
maritalStatus: '<string>',
address: '<string>',
postalCode: '<string>',
emergencyPhone: '<string>',
childrenCount: 123,
disability: 123,
personalEmail: 'jsmith@example.com',
description: '<string>',
city: '<string>',
province: '<string>',
country: 'ES',
salaryRange: '<string>',
studyLevel: '<string>',
professionalCategoryCode: '<string>',
professionalCategoryDescription: '<string>',
bic: '<string>',
accountNumber: '<string>',
jobChargeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
jobChargeDescription: '<string>',
jobChargeCompetencies: '<string>',
workPhone: '<string>',
mainRecruiter: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
nfc: '<string>',
contributionGroupId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api-{region}.sesametime.com/core/v3/employees/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "Lucas",
"lastName": "García",
"secondLastName": "<string>",
"email": "jsmith@example.com",
"imageProfileURL": "https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png",
"code": 1,
"pin": 1000,
"phone": "+34 111 11 11 11",
"company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"notificationEmail": "jsmith@example.com",
"language": "<string>",
"createdAt": "2020-01-01T10:00:00+01:00",
"updatedAt": "2020-01-01T10:00:00+01:00"
},
"contractId": "<string>",
"nid": "<string>",
"secondaryNid": "<string>",
"ssn": "<string>",
"pricePerHour": 123,
"accountNumber": "<string>",
"dateOfBirth": "2023-12-25",
"customFields": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"type": "<string>",
"value": "<string>",
"createdAt": "2020-01-01T10:00:00+01:00",
"updatedAt": "2020-01-01T10:00:00+01:00"
}
],
"createdAt": "2020-01-01T10:00:00+01:00",
"updatedAt": "2020-01-01T10:00:00+01:00",
"children": 2,
"disability": 25,
"address": "<string>",
"postalCode": "<string>",
"city": "<string>",
"province": "<string>",
"country": "ES",
"nationality": "ES",
"nationalities": [
"ES",
"FR"
],
"personalMail": "jsmith@example.com",
"maritalStatus": "<string>",
"emergencyPhone": "<string>",
"description": "<string>",
"salaryRange": "<string>",
"studyLevel": "<string>",
"professionalCategoryCode": "<string>",
"professionalCategoryDescription": "<string>",
"bic": "<string>",
"jobChargeId": "<string>",
"jobChargeName": "<string>",
"jobChargeDescription": "<string>",
"jobChargeCompetencies": "<string>",
"language": "es-ES",
"workPhone": "+34 111 11 11 11",
"mainRecruiter": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "Lucas",
"lastName": "García",
"secondLastName": "<string>",
"imageProfileURL": "https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png",
"email": "jsmith@example.com",
"workCheckTypeColor": "#FF0000",
"workCheckTypeName": "Remote"
},
"nfc": "<string>",
"contributionGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"meta": {
"currentPage": 1,
"lastPage": 1,
"total": 1,
"perPage": 1
}
}Update an employee
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Employee ID
Body
Employee object that needs to be updated
The first name of the employee
The last name of the employee
active, inactive The employee's second last name field is only available in Mexico and Colombia
1 - 255Allowed values depend on the employee's company:
| Scenario | Allowed values |
|---|---|
| MX with ADP or Nomitek integration | female, male |
| All other companies | female, male, no_response, non_binary_gender |
female, male, no_response, non_binary_gender The email for the employee access and notifications (required if invitation is true)
The identifier of your internal employee contract
The code of the employee
The pin of the employee
The National Identity Document of the employee
Primary identity number type
dni, nie, rut, other Secondary identity number type (must be different from identityNumberType)
dni, nie, rut, other The Secondary National Identity Document of the employee
The Social Security Number of the employee
Custom Fields to fill
Show child attributes
Show child attributes
Employee nationality (deprecated, use nationalities instead)
"ES"
Array of employee nationalities
["ES", "FR"]Two-letter country code (ISO alpha-2), e.g. 'ES' for Spain, 'MX' for Mexico.
2"ES"
Use contributionGroupId instead
The description of the job position duties and responsibilities
The competencies and skills required for the job position
Use the /contract/v1/contribution-groups endpoint to retrieve the list of contribution groups to be used.
Was this page helpful?